Media -videos
Update video thumbnail
PUT
/media/v1/projects/{projectId}/videos/{videoId}/thumbnailReplaces the thumbnail image for an existing video.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
videoId*string
Video ID
Request Body
multipart/form-data{
"thumbnail": "string"
}thumbnail*string
Thumbnail image file
Response Body
200application/json
OK
type: object
thumbnail_url?string
curl -X PUT "https://api.rixl.com/media/v1/projects/string/videos/string/thumbnail" \
-F thumbnail="string"const body = new FormData();
body.set(thumbnail, "string")
fetch("https://api.rixl.com/media/v1/projects/string/videos/string/thumbnail", {
method: "PUT",
headers: {
"Content-Type": "multipart/form-data"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"mime/multipart"
"bytes"
)
func main() {
url := "https://api.rixl.com/media/v1/projects/string/videos/string/thumbnail"
body := new(bytes.Buffer)
mp := multipart.NewWriter(payload)
mp.WriteField("thumbnail", `string`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "multipart/form-data")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/media/v1/projects/string/videos/string/thumbnail"
body = {
"thumbnail": "string"
}
response = requests.request("PUT", url, data = body, headers = {
"Content-Type": "multipart/form-data"
})
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;
var body = BodyPublishers.ofByteArray(new byte[] { ... });
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/media/v1/projects/string/videos/string/thumbnail"))
.header("Content-Type", "multipart/form-data")
.PUT(body)
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var body = new MultipartFormDataContent();
var client = new HttpClient();
var response = await client.PutAsync("https://api.rixl.com/media/v1/projects/string/videos/string/thumbnail", body);
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"thumbnail_url": "string"
}